Index: tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementSearchView.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementSearchView.java	(revision 3078)
+++ tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementSearchView.java	(revision 3079)
@@ -104,7 +104,7 @@
 	
 	private Corpus analecCorpus;
 	
-	private Class clazzSearched;
+	private Class<? extends Element> clazzSearched;
 	
 	private String typeSearched;
 	
@@ -430,7 +430,7 @@
 	 * @param type the searched Element type
 	 * @param toolbar the annotation toolbar which called loadType
 	 */
-	public void loadType(org.txm.searchengine.cqp.corpus.CQPCorpus corpus, Corpus analecCorpus, Class clazz, String type, URSAnnotationToolbar toolbar) {
+	public void loadType(org.txm.searchengine.cqp.corpus.CQPCorpus corpus, Corpus analecCorpus, Class<? extends Element> clazz, String type, URSAnnotationToolbar toolbar) {
 		if (toolbar == null || toolbar.isDisposed()) return;
 		
 		this.searchButton.setEnabled(true);
@@ -667,7 +667,7 @@
 		}
 	}
 	
-	private void setItems(Combo t, Class clazz, String type, String prop) {
+	private void setItems(Combo t, Class<? extends Element> clazz, String type, String prop) {
 		String[] items = vue.getValeursChamp(clazz, type, prop);
 		t.setItems(items);
 		KeyStroke keys = KeyStroke.getInstance(SWT.CONTROL, SWT.SPACE);
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3078)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3079)
@@ -29,6 +29,7 @@
  * 
  * Provides methods to output the chart created by the ChartCreators
  * 
+ * @author mdecorde
  * @author sjacquot
  *
  */
@@ -300,14 +301,14 @@
 	 * 
 	 * @param chartsEngineName
 	 */
-	protected void registerChartCreatorExtensions(Class chartsEngineClass) {
+	protected void registerChartCreatorExtensions(Class<? extends ChartsEngine> chartsEngineClass) {
 		
 		IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(ChartCreator.extensionPointId);
 		
 		for (int i = 0; i < contributions.length; i++) {
 			
 			try {
-				ChartCreator chartCreator = (ChartCreator) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
+				ChartCreator<?, ?> chartCreator = (ChartCreator<?, ?>) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 				
 				if (chartsEngineClass.equals(chartCreator.getChartsEngineClass())) {
 					chartCreator.setFileNamePrefix(contributions[i].getAttribute("fileNamePrefix")); //$NON-NLS-1$
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3078)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3079)
@@ -196,7 +196,7 @@
 	 * @param toCache
 	 * @return
 	 */
-	public static ArrayList<?> uncache(Class classToUnCache) {
+	public static ArrayList<?> uncache(Class<?> classToUnCache) {
 		if (classToUnCache == null) {
 			return null;
 		}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiServer.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiServer.java	(revision 3078)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiServer.java	(revision 3079)
@@ -477,7 +477,7 @@
 	public static void main(String[] args) throws Exception {
 		String pathToCQPLibDirectory = "/home/mdecorde/workspace047/org.txm.libs.cqp.linux/res/linux64/";
 		String cqpserverPathToExecutable = pathToCQPLibDirectory + "cqpserver";
-		String pathToRegistry = System.getProperty("user.home") + "TXM-0.8.1/corpora/DEMOCRATLYON5/registry";
+		String pathToRegistry = System.getProperty("user.home") + "TXM-0.8.2/corpora/DEMOCRATLYON5/registry";
 		String pathToInitFile = System.getProperty("user.home") + "workspace047/org.txm.libs.cqp.linux/res/cqpserver.init";
 		
 		String corpus = "DEMOCRATLYON5";
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/ImportAlignedEditionMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/ImportAlignedEditionMacro.groovy	(revision 3078)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/ImportAlignedEditionMacro.groovy	(revision 3079)
@@ -116,7 +116,7 @@
 	dest_edition = new Edition(dest_text)
 	dest_edition.setName(destination_edition_name)
 	dest_edition.saveParameter("corpus", destination_corpus.getID())
-	dest_edition.pPageNames = src_edition.pPageNames // replace with getter&setter when published in TXM 0.8.1
+	dest_edition.pPageNames = src_edition.pPageNames // replace with getter&setter when published in TXM 0.8.2
 	dest_edition.pPageFirstWordIds = src_edition.pPageFirstWordIds
 	dest_edition.compute(false)
 	
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/commands/NIndexMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/commands/NIndexMacro.groovy	(revision 3078)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/commands/NIndexMacro.groovy	(revision 3079)
@@ -98,7 +98,7 @@
 	try {
 		 Class.forName( "org.odftoolkit.simple.SpreadsheetDocument")
 	} catch(e) {
-		 println "** $scriptName: the simple-odf-0.8.1-incubating.jar file is needed in the \$HOME/TXM/scripts/lib directory to write in ODS format. Please uncheck the odsOutputFormat option. Aborting."
+		 println "** $scriptName: the simple-odf-0.8.2-incubating.jar file is needed in the \$HOME/TXM/scripts/lib directory to write in ODS format. Please uncheck the odsOutputFormat option. Aborting."
 		return false
 	}
 
Index: tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/MapSetter.java
===================================================================
--- tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/MapSetter.java	(revision 3078)
+++ tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/MapSetter.java	(revision 3079)
@@ -13,6 +13,7 @@
  * <tt>-map key=value</tt>
  * </p>
  */
+@SuppressWarnings("rawtypes")
 public class MapSetter implements Setter {
 	
 	private final Field f;
@@ -26,14 +27,17 @@
 		this.bean = bean;
 	}
 	
+	@Override
 	public Class getType() {
 		return f.getType();
 	}
 	
+	@Override
 	public boolean isMultiValued() {
 		return false;
 	}
 	
+	@Override
 	public void addValue(Object value) {
 		if (String.valueOf(value).indexOf('=') == -1) {
 			throw new RuntimeException(Messages.FORMAT_ERROR_FOR_MAP.format());
Index: tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/MethodSetter.java
===================================================================
--- tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/MethodSetter.java	(revision 3078)
+++ tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/MethodSetter.java	(revision 3079)
@@ -11,6 +11,7 @@
  *
  * @author Kohsuke Kawaguchi
  */
+@SuppressWarnings("rawtypes")
 public final class MethodSetter implements Setter {
 	
 	private final CmdLineParser parser;
@@ -27,14 +28,17 @@
 			throw new IllegalAnnotationError(Messages.ILLEGAL_METHOD_SIGNATURE.format(m));
 	}
 	
+	@Override
 	public Class getType() {
 		return m.getParameterTypes()[0];
 	}
 	
+	@Override
 	public boolean isMultiValued() {
 		return false;
 	}
 	
+	@Override
 	public void addValue(Object value) throws CmdLineException {
 		try {
 			try {
Index: tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/FieldSetter.java
===================================================================
--- tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/FieldSetter.java	(revision 3078)
+++ tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/FieldSetter.java	(revision 3079)
@@ -9,6 +9,7 @@
  *
  * @author Kohsuke Kawaguchi
  */
+@SuppressWarnings("rawtypes")
 final class FieldSetter implements Setter {
 	
 	private final Field f;
@@ -20,14 +21,17 @@
 		this.f = f;
 	}
 	
+	@Override
 	public Class getType() {
 		return f.getType();
 	}
 	
+	@Override
 	public boolean isMultiValued() {
 		return false;
 	}
 	
+	@Override
 	public void addValue(Object value) {
 		try {
 			f.set(bean, value);
Index: tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/MultiValueFieldSetter.java
===================================================================
--- tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/MultiValueFieldSetter.java	(revision 3078)
+++ tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/MultiValueFieldSetter.java	(revision 3079)
@@ -14,6 +14,7 @@
  *
  * @author Kohsuke Kawaguchi
  */
+@SuppressWarnings("rawtypes")
 final class MultiValueFieldSetter implements Setter {
 	
 	private final Object bean;
@@ -28,10 +29,12 @@
 			throw new IllegalAnnotationError(Messages.ILLEGAL_FIELD_SIGNATURE.format(f.getType()));
 	}
 	
+	@Override
 	public boolean isMultiValued() {
 		return true;
 	}
 	
+	@Override
 	public Class getType() {
 		// TODO: compute this correctly
 		Type t = f.getGenericType();
@@ -44,6 +47,7 @@
 		return Object.class;
 	}
 	
+	@Override
 	public void addValue(Object value) {
 		try {
 			doAddValue(bean, value);
@@ -63,7 +67,7 @@
 	private void doAddValue(Object bean, Object value) throws IllegalAccessException {
 		Object o = f.get(bean);
 		if (o == null) {
-			o = new ArrayList<Object>();
+			o = new ArrayList<>();
 			f.set(bean, o);
 		}
 		if (!(o instanceof List))
Index: tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/ClassParser.java
===================================================================
--- tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/ClassParser.java	(revision 3078)
+++ tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/ClassParser.java	(revision 3079)
@@ -17,7 +17,7 @@
 	
 	public void parse(Object bean, CmdLineParser parser) {
 		// recursively process all the methods/fields.
-		for (Class c = bean.getClass(); c != null; c = c.getSuperclass()) {
+		for (Class<?> c = bean.getClass(); c != null; c = c.getSuperclass()) {
 			for (Method m : c.getDeclaredMethods()) {
 				Option o = m.getAnnotation(Option.class);
 				if (o != null) {
Index: tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/CmdLineParser.java
===================================================================
--- tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/CmdLineParser.java	(revision 3078)
+++ tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/CmdLineParser.java	(revision 3079)
@@ -63,12 +63,12 @@
 	/**
 	 * Discovered {@link OptionHandler}s for options.
 	 */
-	private final List<OptionHandler> options = new ArrayList<OptionHandler>();
+	private final List<OptionHandler> options = new ArrayList<>();
 	
 	/**
 	 * Discovered {@link OptionHandler}s for arguments.
 	 */
-	private final List<OptionHandler> arguments = new ArrayList<OptionHandler>();
+	private final List<OptionHandler> arguments = new ArrayList<>();
 	
 	private boolean parsingOptions = true;
 	
@@ -180,7 +180,7 @@
 			// infer the type
 			
 			// enum is the special case
-			Class t = setter.getType();
+			Class<?> t = setter.getType();
 			if (Enum.class.isAssignableFrom(t))
 				return new EnumOptionHandler(this, o, setter, t);
 			
@@ -247,7 +247,7 @@
 	 *
 	 *         <pre>
 	 *         System.err.println("java -jar my.jar" + parser.printExample(REQUIRED) + " arg1 arg2");
-	 * 		</pre>
+	 *         </pre>
 	 */
 	public String printExample(ExampleMode mode, ResourceBundle rb) {
 		StringBuilder buf = new StringBuilder();
@@ -353,7 +353,7 @@
 	 * @return list of all wrapped parts
 	 */
 	private List<String> wrapLines(String line, final int maxLength) {
-		List<String> rv = new ArrayList<String>();
+		List<String> rv = new ArrayList<>();
 		for (String restOfLine : line.split("\\n")) {
 			while (restOfLine.length() > maxLength) {
 				// try to wrap at space, but don't try too hard as some languages don't even have whitespaces.
@@ -404,12 +404,14 @@
 			pos += n;
 		}
 		
+		@Override
 		public String getParameter(int idx) throws CmdLineException {
 			if (pos + idx >= args.length)
 				throw new CmdLineException(CmdLineParser.this, Messages.MISSING_OPERAND.format(getOptionName()));
 			return args[pos + idx];
 		}
 		
+		@Override
 		public int size() {
 			return args.length - pos;
 		}
@@ -439,7 +441,7 @@
 	public void parseArgument(final String... args) throws CmdLineException {
 		CmdLineImpl cmdLine = new CmdLineImpl(args);
 		
-		Set<OptionHandler> present = new HashSet<OptionHandler>();
+		Set<OptionHandler> present = new HashSet<>();
 		int argIndex = 0;
 		
 		while (cmdLine.hasMore()) {
@@ -522,7 +524,7 @@
 	
 	
 	private Map<String, OptionHandler> filter(List<OptionHandler> opt, String keyFilter) {
-		Map<String, OptionHandler> rv = new TreeMap<String, OptionHandler>();
+		Map<String, OptionHandler> rv = new TreeMap<>();
 		for (OptionHandler h : opt) {
 			if (opt.toString().startsWith(keyFilter)) rv.put(opt.toString(), h);
 		}
@@ -544,7 +546,7 @@
 	 *
 	 * Constructors of {@link OptionHandler}-derived class keyed by their supported types.
 	 */
-	private static final Map<Class, Constructor<? extends OptionHandler>> handlerClasses = Collections.synchronizedMap(new HashMap<Class, Constructor<? extends OptionHandler>>());
+	private static final Map<Class<?>, Constructor<? extends OptionHandler>> handlerClasses = Collections.synchronizedMap(new HashMap<Class<?>, Constructor<? extends OptionHandler>>());
 	
 	/**
 	 * Registers a user-defined {@link OptionHandler} class with args4j.
Index: tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/FieldParser.java
===================================================================
--- tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/FieldParser.java	(revision 3078)
+++ tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/FieldParser.java	(revision 3079)
@@ -15,7 +15,7 @@
 public class FieldParser {
 	
 	public void parse(CmdLineParser parser, Object bean) throws ClassNotFoundException {
-		for (Class c = bean.getClass(); c != null; c = c.getSuperclass()) {
+		for (Class<?> c = bean.getClass(); c != null; c = c.getSuperclass()) {
 			System.out.println("Class: " + c); //$NON-NLS-1$
 			for (Field f : c.getDeclaredFields()) {
 				Option o = new OptionImpl(createConfigElement(f));
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java	(revision 3078)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java	(revision 3079)
@@ -12,30 +12,29 @@
 
 /**
  * A factory for creating Adapter objects.
- *  
+ * 
  * @author mdecorde
  * @author sjacquot
  */
 public class ConcordanceAdapterFactory extends TXMResultAdapterFactory {
-
 	
-	public static final ImageDescriptor ICON =
-			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(ConcordanceAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(ConcordanceAdapterFactory.class).getSymbolicName() + "/icons/concordance.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
-
+	public static final ImageDescriptor ICON = AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(ConcordanceAdapterFactory.class).getSymbolicName(),
+			"platform:/plugin/" + FrameworkUtil.getBundle(ConcordanceAdapterFactory.class).getSymbolicName() + "/icons/concordance.png"); //$NON-NLS-1$ //$NON-NLS-2$
+	
 	@Override
-	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(this.canAdapt(adapterType) && adaptableObject instanceof Concordance)	{
-			return new TXMResultAdapter() {
+	public <T> T getAdapter(Object adaptableObject, Class<T> adapterType) {
+		if (this.canAdapt(adapterType) && adaptableObject instanceof Concordance) {
+			return adapterType.cast(new TXMResultAdapter() {
+				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return ICON;
 				}
-			};
+			});
 		}
 		return null;
 	}
-
-
+	
+	
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java	(revision 3078)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java	(revision 3079)
@@ -43,94 +43,95 @@
  * @author jmague
  */
 public class AdapterFactory implements IAdapterFactory {
-
+	
 	private static boolean firstCorpusDiag = true;
-
-	private HashMap<Class, IWorkbenchAdapter> externalAdapters = new HashMap<Class, IWorkbenchAdapter>();
-
-//	/** The corpus adapter. */
-//	private IWorkbenchAdapter corpusAdapter = new IWorkbenchAdapter() {
-//
-//		@Override
-//		public Object[] getChildren(Object corpus) {
-//			ArrayList<TXMResult> results = ((Corpus) corpus).getChildren(true);
-//			for (int i = 0; i < results.size(); i++) {
-//				Object element = results.get(i);
-//
-//				// remove Text and SavedQuery from the corpora view
-//				if (!TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES) && (element instanceof Text || element instanceof SavedQuery)) {
-//					results.remove(i);
-//					i--;
-//				}
-//			}
-//			List<Object> children = new ArrayList<Object>();
-//			children.addAll(results);
-//			return children.toArray();
-//		}
-//
-//		@Override
-//		public ImageDescriptor getImageDescriptor(Object object) {
-//			return AbstractUIPlugin.imageDescriptorFromPlugin(Application.PLUGIN_ID, IImageKeys.CORPUS);
-//		}
-//
-//		@Override
-//		public String getLabel(Object corpus) {
-//			if (corpus instanceof MainCorpus) {
-//				return ((MainCorpus) corpus).getNameForCorporaView();
-//			}
-//			else {
-//				return ((Corpus) corpus).getName();
-//			}
-//		}
-//
-//		@Override
-//		public Object getParent(Object corpus) {
-//			if (corpus instanceof Subcorpus) {
-//				return ((Subcorpus) corpus).getMotherSubcorpus();
-//			}
-//			else {
-//				return CorpusManager.getCorpusManager();
-//			}
-//		}
-//	};
-
-//	/** The partition adapter. */
-//	private IWorkbenchAdapter partitionAdapter = new IWorkbenchAdapter() {
-//
-//		@Override
-//		public Object[] getChildren(Object partition) {
-//			ArrayList<TXMResult> children = ((Partition) partition).getResults();
-//			// System.out.println("PARTITION RESULTS "+children);
-//			return children.toArray();
-//		}
-//
-//		@Override
-//		public ImageDescriptor getImageDescriptor(Object object) {
-//			return AbstractUIPlugin.imageDescriptorFromPlugin(
-//					Application.PLUGIN_ID, IImageKeys.PARTITION);
-//		}
-//
-//		@Override
-//		public String getLabel(Object partition) {
-//			return ((Partition) partition).getSimpleName();
-//		}
-//
-//		@Override
-//		public Object getParent(Object partition) {
-//			return ((Partition) partition).getCorpus();
-//		}
-//	};
-
-
+	
+	private HashMap<Class<?>, IWorkbenchAdapter> externalAdapters = new HashMap<>();
+	
+	// /** The corpus adapter. */
+	// private IWorkbenchAdapter corpusAdapter = new IWorkbenchAdapter() {
+	//
+	// @Override
+	// public Object[] getChildren(Object corpus) {
+	// ArrayList<TXMResult> results = ((Corpus) corpus).getChildren(true);
+	// for (int i = 0; i < results.size(); i++) {
+	// Object element = results.get(i);
+	//
+	// // remove Text and SavedQuery from the corpora view
+	// if (!TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES) && (element instanceof Text || element instanceof SavedQuery)) {
+	// results.remove(i);
+	// i--;
+	// }
+	// }
+	// List<Object> children = new ArrayList<Object>();
+	// children.addAll(results);
+	// return children.toArray();
+	// }
+	//
+	// @Override
+	// public ImageDescriptor getImageDescriptor(Object object) {
+	// return AbstractUIPlugin.imageDescriptorFromPlugin(Application.PLUGIN_ID, IImageKeys.CORPUS);
+	// }
+	//
+	// @Override
+	// public String getLabel(Object corpus) {
+	// if (corpus instanceof MainCorpus) {
+	// return ((MainCorpus) corpus).getNameForCorporaView();
+	// }
+	// else {
+	// return ((Corpus) corpus).getName();
+	// }
+	// }
+	//
+	// @Override
+	// public Object getParent(Object corpus) {
+	// if (corpus instanceof Subcorpus) {
+	// return ((Subcorpus) corpus).getMotherSubcorpus();
+	// }
+	// else {
+	// return CorpusManager.getCorpusManager();
+	// }
+	// }
+	// };
+	
+	// /** The partition adapter. */
+	// private IWorkbenchAdapter partitionAdapter = new IWorkbenchAdapter() {
+	//
+	// @Override
+	// public Object[] getChildren(Object partition) {
+	// ArrayList<TXMResult> children = ((Partition) partition).getResults();
+	// // System.out.println("PARTITION RESULTS "+children);
+	// return children.toArray();
+	// }
+	//
+	// @Override
+	// public ImageDescriptor getImageDescriptor(Object object) {
+	// return AbstractUIPlugin.imageDescriptorFromPlugin(
+	// Application.PLUGIN_ID, IImageKeys.PARTITION);
+	// }
+	//
+	// @Override
+	// public String getLabel(Object partition) {
+	// return ((Partition) partition).getSimpleName();
+	// }
+	//
+	// @Override
+	// public Object getParent(Object partition) {
+	// return ((Partition) partition).getCorpus();
+	// }
+	// };
+	
+	
 	/** The Lexicon adapter. */
 	// FIXME: became useless? seems never used
 	private IWorkbenchAdapter LexiconAdapter = new TXMResultAdapter() {
+		
 		@Override
 		public ImageDescriptor getImageDescriptor(Object object) {
 			return AbstractUIPlugin.imageDescriptorFromPlugin(Application.PLUGIN_ID, IImageKeys.ACTION_FREQUENCY_LIST);
 		}
 	};
-
+	
 	/**
 	 * Gets the adapter.
 	 *
@@ -138,36 +139,37 @@
 	 * @param adapterType the adapter type
 	 * @return the adapter
 	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapter(java.lang.Object,
-	 * java.lang.Class)
+	 *      java.lang.Class)
 	 */
 	@Override
-	public Object getAdapter(Object adaptableObject, Class adapterType) {
-//		if (adapterType == IWorkbenchAdapter.class && adaptableObject instanceof CorpusManager) {
-//			return corpusManagerAdapter;
-//		}
-//		if (adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Corpus) {
-//			return corpusAdapter;
-//		}
-//		if (adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Partition) {
-//			return partitionAdapter;
-//		}
-
-		//check adapters from plugins
+	public <T> T getAdapter(Object adaptableObject, Class<T> adapterType) {
+		// if (adapterType == IWorkbenchAdapter.class && adaptableObject instanceof CorpusManager) {
+		// return corpusManagerAdapter;
+		// }
+		// if (adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Corpus) {
+		// return corpusAdapter;
+		// }
+		// if (adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Partition) {
+		// return partitionAdapter;
+		// }
+		
+		// check adapters from plugins
 		if (externalAdapters.containsKey(adaptableObject.getClass())) {
-			return externalAdapters.get(adaptableObject.getClass());
+			return adapterType.cast(externalAdapters.get(adaptableObject.getClass()));
 		}
 		
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof TXMResult)	{
-			return new TXMResultAdapter() {
+		if (adapterType == IWorkbenchAdapter.class && adaptableObject instanceof TXMResult) {
+			return adapterType.cast(new TXMResultAdapter() {
+				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return AbstractUIPlugin.imageDescriptorFromPlugin(Application.PLUGIN_ID, IImageKeys.ACTION_INFO);
 				}
-			};
+			});
 		}
 		return null;
 	}
-
+	
 	/**
 	 * Gets the adapter list.
 	 *
@@ -175,9 +177,9 @@
 	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapterList()
 	 */
 	@Override
-	@SuppressWarnings("unchecked") //$NON-NLS-1$
-	public Class[] getAdapterList() {
+	@SuppressWarnings("unchecked")
+	public Class<?>[] getAdapterList() {
 		return new Class[] { IWorkbenchAdapter.class };
 	}
-
-}
\ No newline at end of file
+	
+}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 3078)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 3079)
@@ -288,7 +288,7 @@
 	}
 	
 	public static void main(String args[]) {
-		String s = getValidURL("https://txm.gitpages.huma-num.fr/textometrie/files/software/TXM/0.8.1beta/", "https://txm.gitpages.huma-num.fr/textometrie/files/software/TXM/0.8.1beta");
+		String s = getValidURL("https://txm.gitpages.huma-num.fr/textometrie/files/software/TXM/0.8.2beta/", "https://txm.gitpages.huma-num.fr/textometrie/files/software/TXM/0.8.2beta");
 		System.out.println(s);
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/jface/ComboFieldEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/jface/ComboFieldEditor.java	(revision 3078)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/jface/ComboFieldEditor.java	(revision 3079)
@@ -14,21 +14,22 @@
  *
  */
 public class ComboFieldEditor extends org.eclipse.jface.preference.ComboFieldEditor {
-
+	
 	public ComboFieldEditor(String name, String labelText, String[][] entryNamesAndValues, Composite parent) {
 		super(name, labelText, entryNamesAndValues, parent);
 	}
-
+	
 	public String getStringValue() {
 		
 		Field field;
 		try {
-			Class clazz = this.getClass().getSuperclass();
+			Class<?> clazz = this.getClass().getSuperclass();
 			field = clazz.getDeclaredField("fCombo");
 			field.setAccessible(true);
 			Combo fCombo = (Combo) field.get(this);
 			return fCombo.getText();
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			e.printStackTrace();
 			return null;
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3078)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3079)
@@ -883,7 +883,7 @@
 			}
 		});
 		
-		// move previous TXM 0.8.1 corpora
+		// move previous TXM 0.8.2 corpora
 		File backupDir = new File(corporaDir.getAbsolutePath() + "-previous"); //$NON-NLS-1$
 		if (corporaDir.exists()) {
 			backupDir.mkdirs();
@@ -894,7 +894,7 @@
 			}
 		}
 		
-		// load TXM-0.8.1 sample corpora (from the install directory)
+		// load TXM-0.8.2 sample corpora (from the install directory)
 		if (corporaDirs.contains(SAMPLES) && sampleCorporaDirectory.exists()) {
 			
 			Log.info(TXMUIMessages.installingSampleCorpus);
@@ -909,9 +909,9 @@
 			}
 		}
 		
-		// TXM-0.8.1 previous installation corpora
+		// TXM-0.8.2 previous installation corpora
 		if (corporaDirs.contains(V081) && backupDir.listFiles(IOUtils.HIDDENFILE_FILTER).length > 0) { // not a new install, restore corpus from the corpora-previous directory
-			Log.info(NLS.bind(TXMUIMessages.installingPreviousCorpusFromP0, "0.8.1", corporaDir)); //$NON-NLS-1$
+			Log.info(NLS.bind(TXMUIMessages.installingPreviousCorpusFromP0, "0.8.2", corporaDir)); //$NON-NLS-1$
 			JobHandler job = LoadBinaryCorporaDirectory.loadBinaryCorpusFromCorporaDirectory(backupDir, false, false, true);
 			try {
 				job.join();
